<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.qunzhixinxi.hnqz.admin.mapper.WmProjectEvidenceMapper" >
	<resultMap id="BaseResultMap" type="com.qunzhixinxi.hnqz.admin.entity.WmProjectEvidence" >
		<result column="id" property="id" jdbcType="INTEGER" />
		<result column="project_id" property="projectId" jdbcType="INTEGER" />
		<result column="filename" property="filename" jdbcType="VARCHAR" />
		<result column="url" property="url" jdbcType="VARCHAR" />
		<result column="type" property="type" jdbcType="VARCHAR" />
		<result column="create_time" property="createTime" jdbcType="TIMESTAMP" />
		<result column="create_user" property="createUser" jdbcType="INTEGER" />
	</resultMap>

	<!-- 根据项目id查询 -->
	<select id="listByProjectId" resultMap="BaseResultMap">
		SELECT
			*
		FROM
			wm_project_evidence
		WHERE
			project_id = #{projectId}
		ORDER BY
			create_time DESC
	</select>
</mapper>